
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何利用JSHint减少JavaScript的错误_javascript技巧 / iVAN</title>

    <meta name="description" content="如何利用JSHint减少JavaScript的错误_javascript技巧 前言 JSHint用于分析和验证JavaScript代码是否符合您的编码规则.这个强大的工具可以帮助发现您代码中错误和问题T,它强制你的团队保持一定的编码惯例和风格,使得代码可靠和更容易阅读. 在这篇文章中,我将向您展示如何安装.配置和使用JSHint. 还包括一个例子,列出了一些我最喜欢的能使用JSHint的编辑器. 安装 JSHint 安装JSHint非常容易,你可以使用 Node 包管理器 (npm)来做.如果你还没有安装npm,你可以从 nodeJS website下载最新版,来安装No">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何利用JSHint减少JavaScript的错误_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>前言</strong></p>
<p>JSHint用于分析和验证JavaScript代码是否符合您的编码规则。这个强大的工具可以帮助发现您代码中错误和问题T，它强制你的团队保持一定的编码惯例和风格，使得代码可靠和更容易阅读.</p>
<p>在这篇文章中,我将向您展示如何安装、配置和使用JSHint。 还包括一个例子，列出了一些我最喜欢的能使用JSHint的编辑器。</p>
<p><strong>安装 JSHint</strong></p>
<p>安装JSHint非常容易，你可以使用 Node 包管理器 (npm)来做。如果你还没有安装npm，你可以从 nodeJS website下载最新版，来安装Node.js 和npm.</p>
<p>一旦安装后npm，你就可以使用如下命令来安装JSHint：</p>
<pre>
npm install jshint -g</pre>
<p><code>-g</code> 参数是告诉<code>npm</code>我们要全局安装，这样我们就能在任何目录下调用这个命令。</p>
<p><strong>通过命令行检查代码</strong></p>
<p>现在JSHint 已经安装好了，让我们在命令行方式下使用<code>jshint</code>来分析一个JavaScript代码文件。</p>
<p>下面是一个文件名为 demo1.json的文件:</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2ODIzOTM3MTUwMjIuanBn.jpg"></p>
<p>我们使用如下命令来分析代码：</p>
<pre>
jshint demo1.js</pre>
<p>JSHint告诉我们在demo1.js文件的第8行有一个错误，原因：缺少一个分号。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2ODIzOTQwMTUzMzcuanBn.jpg"></p>
<p>如果我们补上缺少的分号，再次运行这个命令，就不会有任何错误信息输出了。</p>
<p><strong>配置JSHint</strong></p>
<p>JSHint有一个默认的配置来分析您的代码，但它的配置设置被设计的非常灵活。 有四种方式来为JSHint提供配置处理文件。</p>
<p>一种方式是使用 <code>--config</code> 参数来指定配置文件:</p>
<pre>
jshint demo1.js --config config.json</pre>
<p>另一种方式是把配置放入一个叫.jshintrc的文件里, 因为 JSHint 会在同级目录下搜索这个配置文件用于代码分析，如果没有找到，它会继续上级目录查找直到根目录 ，这样就允许我们对一个工程设置不同的配置文件。</p>
<p>第三种方式是在 package.json 文件的 jshintConfig 属性下放入配置信息。</p>
<p>这三种方法中的任何一种,配置信息都是JSON格式指定每一个参数来告诉JSHint选项是打开或关闭。例如：在下面的配置文件中的“unused” 和“undef” 是来激活未使用和未定义变量的告警。 “curly” 要求您总是在循环和条件块加上大括号。 “eqeqeq” 表示禁止使用 == 和!= 而应该使用 === and !==.。“globals” 用于指定没有定义在代码中的全局变量白名单。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2ODIzOTQxMTE2OTUuanBn.jpg"></p>
<p>第四种方式是以注释的方式将配置信息写入代码文件中。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2ODIzOTQxNDc0NDcuanBn.jpg"></p>
<p>你可以查看不同的配置选项控制JSHint的行为。</p>
<p><strong>一个小例子</strong></p>
<p>接下来,让我们操作一下在上面提到的config.json配置文件中的选项。 假设我们有如下的一个 JavaScript 文件，这只是一小段仅供学习的代码。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2ODIzOTQyMzI2NTQuanBn.jpg"></p>
<p>如果我们执行jshint 命令<code>demo2.js --config config.json</code>，我们会得到如下的结果：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2ODIzOTQyNTgyOTYuanBn.jpg"></p>
<p>在我们的代码中有4个错误。在第9行JSHint提示应该用大括号包裹  “if” 代码块。 定义了变量<code>subscription_id </code>但没有使用。 在第9行和11行，  “confirm” 和“console” 没有定义。</p>
<p>我们只需稍微修改就能避免前两个错误：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2ODIzOTQ0MDM0NjUuanBn.jpg"></p>
<p>现在，让我们在 config.json文件中添加一个 devel 选项并设为 true，这样JSHint 就能识别出“confirm” 和“console” 。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2ODIzOTQ0MzE4MTYuanBn.jpg"></p>
<p>至此，如果我们再次运行 jshint 命令，就没有任何错误了。</p>
<p><strong>总结</strong></p>
<p>JSHint是一个减少代码错误的非常好的工具。很多编辑器都提供JSHint支持。刚兴趣的朋友可以再深入研究JSHint，以上就是利用JSHint减少JavaScript错误的全部内容，希望对大家使用Javascript能有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索安装<br />
                    ，                配置<br />
                    ，                javascript错误处理<br />
                                    jshint<br />
                                    javascript技巧、javascript高级技巧、javascript调试技巧、javascript小技巧、javascript实用技巧，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-06 12:29:21</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/%e5%ae%89%e8%a3%85/" title="安装">安装</a>, <a href="https://www.iamivan.net/tag/jshint/" title="jshint">jshint</a>, <a href="https://www.iamivan.net/tag/javascript%e9%94%99%e8%af%af%e5%a4%84%e7%90%86/" title="javascript错误处理">javascript错误处理</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何利用JSHint减少JavaScript的错误_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV7yeYb.html" rel="bookmark">Eclipse去除js&lpar;JavaScript&rpar;验证错误&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一步:去除eclipse的JS验证:将windows-&gt;preference-&gt;Java Script-&gt;Validator-&gt;Errors/Warnings-&gt;Enable Javascript Sematic validation前面的勾去掉; 第二步:右键项目 -&gt; properties -&gt; Builders 去掉JavaScript Validator 前面的勾如果Builders中没有JavaScript Validator这一项.那么去.proje			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QmQmp.html" rel="bookmark">整理一下常见的IE错误&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				多年以来,IE一直都是最难于调试JavaScript 错误的浏览器.IE给出的错误消息一般很短又语焉不详.而且上下文信息也很少,有时甚至一点都没有.下面几小节将分别探讨一些在IE中难于调试的JavaScript 错误. 操作终止 在IE8 之前的版本中,存在一个相对于其他浏览器而言,最令人迷惑.讨厌,也最难于调试的错误:操作终止(operation aborted).在修改尚未加载完成的页面时,就会发生操作终止错误.发生错误时,会出现一个模态对话框,告诉你&quot;操作终止.&quot;单击确定(OK)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0a5jp.html" rel="bookmark">浅谈JavaScript异常处理语句&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				程序运行过程中难免会出错,出错后的运行结果往往是不正确的,因此运行时出错的程序通常被强制中止.运行时的错误统称为异常,为了能在错误发生时得到一个处理的机会,JavaScript提供了异常处理语句.包含try-catch.try-catch-finally和throw. try-catch语句 try{ tryStatements } catch(exception){ catchStatements } 参数说明: tryStatements:必选项.可能发生错误的语句序列. exception			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvJoX8M.html" rel="bookmark">10个JavaScript中易犯小错误&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在今天,JavaScript已经成为了网页编辑的核心.尤其是过去的几年,互联网见证了在SPA开发.图形处理.交互等方面大量JS库的出现. 如果初次打交道,很多人会觉得js很简单.确实,对于很多有经验的工程师,或者甚至是初学者而言,实现基本的js功能几乎毫无障碍.但是JS的真实功能却比很多人想象的要更加多样.复杂.JavaScript的许多细节规定会让你的网页出现很多意想不到的bug,搞懂这些bug,对于成为一位有经验的JS开发者很重要. 常见错误一:对于this关键词的不正确引用 我曾经听一位喜			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6062M.html" rel="bookmark">利用javascript移动div层-javascript 拖动层&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				利用javascript移动div层-javascript 拖动层: 程序功能:利用javascript开发在界面上随意拖动以下html code中的div层. javascript移动div层-javascript 拖动层代码-html code: 复制代码 代码如下: &lt;div id=&quot;div_Info&quot; style=&quot;display: none; dz-index: 101; left: 175px; width: 650px; position: absolut			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn83Wkb.html" rel="bookmark">JavaScript利用正则表达式去除日期中的-&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.说明 经常会出现这样的情况,页面的日期格式是:YYYY-MM-DD,而数据库中的日期格式是:YYYYMMDD,两者之间需要转换一下,方能传到Java后台查询数据. 通常,这种转化的方法有两种,第一种,将日期字符串先截取,然后拼接:第二种,就是利用正则表达式去掉&quot;-&quot; 相比较而言,第二种方法快捷,不容易出错. 2.实现源码 复制代码 代码如下: &lt;%@ page language=&quot;java&quot; import=&quot;java.util.*&quot; p			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPle08p.html" rel="bookmark">JavaScript利用正则表达式去除日期中的&OpenCurlyDoubleQuote;-&rdquo;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.说明 经常会出现这样的情况,页面的日期格式是:YYYY-MM-DD,而数据库中的日期格式是:YYYYMMDD,两者之间需要转换一下,方能传到Java后台查询数据. 通常,这种转化的方法有两种,第一种,将日期字符串先截取,然后拼接:第二种,就是利用正则表达式去掉&quot;-&quot; 相比较而言,第二种方法快捷,不容易出错. 2.实现源码 &lt;%@ page language=&quot;java&quot; import=&quot;java.util.*&quot; pageEncoding			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYN726p.html" rel="bookmark">javascript中&amp;amp&semi;quot&semi;&sol;&amp;amp&semi;quot&semi;运算符常见错误&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				//二分查找健忘递归版本 复制代码 代码如下: function binary_search(arr,target,low,high){ if(low&lt;high){ //至少包括两个元素 var min=(low+high)/2; if(target&gt;arr[min]) return binary_search(arr,target,min+1,high); else return binary_search(arr,target,low,min); }else if(low==high){			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zenPqwb.html" rel="bookmark">浅析如何利用JavaScript进行语音识别&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.基础用法 var recognition = new webkitSpeechRecognition(); recognition.onresult = function(event) { console.log(event) } recognition.start(); 这里操作实际会让用户授权页面开启麦克风,如果用户允许的话,用户可以开始说话了,如果你停说话了,onresult注册的时间 则会被触发,并会讲捕获的音频返回成一个JavaScript对象. 二.响应流 你需要等待用户准备好对			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMADQb3.html" rel="bookmark" class="title">【PL&sol;SQL】TOM 的 show&lowbar;space（）</a>
					<div>
						只适用于非ASSM: create or replace procedure show_space ( p_segname in varchar2, p_owner in varchar2 defau ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAdxKb.html" rel="bookmark" class="title">如何使用PHP中的字符串函数</a>
					<div>
						函数|字符串 PHP中的字符串操作功能是比较多的,重要的有以下这些: (1)echo,print,printf,sprintf 前两个函数是输出字符串.字符串中如果有变量名则被替换成其值. 后两个函数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWVYqb.html" rel="bookmark" class="title">在SEO服务中我们需要让客户了解到的优化常识</a>
					<div>
						如果是有一个客户找你做他们的网站seo服务,你应该如何来让客户了解到整个seo的过程呢,有哪些是必须要让客户知道的优化常识,有哪些是需要我们让客户对我们感到满意的几点,让客户感觉我们真正的实在为用户服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZyOap.html" rel="bookmark" class="title">Win32开发入门（10） 绘图（C）</a>
					<div>
						今天我们来欣赏一下用于填充图形的函数,当然我不会逐个去介绍,因为我们参考MSDN直接套参数 就可以了. SetDCBrushColor函数有必要扯一下,它的声明如下: COLORREF SetDCBr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOg0aM.html" rel="bookmark" class="title">使用jqMobi开发app基础之Grid布局</a>
					<div>
						jqMobi中的 Grid布局,是一种表格式布局,主要是两列,三列布局. 主要通过类属性grid表示是表格布局,通过类属性col2表示分成两列的表格.col3表示分成3列的表格..col2-3表示在三 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bal6mwz.html" rel="bookmark" class="title">kvm的virsh和qume-img命令详解</a>
					<div>
						virsh 命令是管理kvm的常用命令,下面说下参数和使用 格式:virsh   参数  域名 参数如下: autostart         #自动加载指定的一个域 connect          ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RBmKp.html" rel="bookmark" class="title">Windows 8 Store Apps学习&lpar;16&rpar; 控件基础&colon; 依赖属性等等</a>
					<div>
						控件基础: 依赖属性, 附加属性, 控件的继承关系, 路由事件和命中测试 介绍 重新想象 Windows 8 Store Apps 之 控件基础 DependencyProperty - 依赖属性 A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaOo5z.html" rel="bookmark" class="title">关闭IE的Enhanced Security Configuration功能</a>
					<div>
						  Windows Server 2008 R2刚安装好,开启IE尝试浏览网站的时候出现以下画面. IE的Enhanced Security Configuration功能很帮忙,为了避免使用者浏览到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdGGYM.html" rel="bookmark" class="title">Win7系统怎么减少开机滚动条时间</a>
					<div>
						  方法一. 1.首先运行regedit打开注册表,然后依次展开定位到HKEY_LOCAL_MACHINESYSTEMCurrentControlSetControlSessionManagerMem ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5og6Ab.html" rel="bookmark" class="title">13款云储存服务大比拼</a>
					<div>
						  如今云储存早已从一个概念走入普通消费者的生活,而云储存服务市场也是鱼龙混杂,质量参差不齐.在此笔者根据用户的不同消费需求整理出一些优秀云储存服务与大家分享,希望每个用户都能找到适合自己的云储存服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZL6vz.html" rel="bookmark" class="title">AI加持下，安防双雄&OpenCurlyDoubleQuote;大华&rdquo;、&OpenCurlyDoubleQuote;宇视&rdquo;如何保障&amp;&num;039&semi;金砖&amp;&num;039&semi;安全</a>
					<div>
						2017年9月3日至5日,金砖国家领导人第九次会晤在厦门成功召开. 会议的成功举办让背后成千上万的'安保人'长叹一口气.目前国际防恐形势日益紧张,大型活动的安保工作是重中之重.复旦大学金砖国家研究中心 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QWemp.html" rel="bookmark" class="title">c&plus;&plus; primer-C&plus;&plus; primer第五版例子编译出错</a>
					<div>
						问题描述 C++ primer第五版例子编译出错 请教,中文第五版p190页的例子编译出错,不知道错哪里了,求大神指正,感激不尽. 错误提示:expected unqualified-id befor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLm7waz.html" rel="bookmark" class="title">asp&period;net生成的条形码，为什么扫码枪识别不了</a>
					<div>
						问题描述 protectedvoidPage_Load(objectsender,EventArgse){Response.Write(bar_code(&quot;1111111111&quot;, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxnoOb.html" rel="bookmark" class="title">silverlight-带水印的自定义TextBox控件（版本2）</a>
					<div>
						之前那个版本&lt;silverlight-带水印的TextBox&gt;不得不说是相当失败的,起码我是这样理解的.其实我一心想把这个给实现了,但是不得不承认自身技术上的缺陷.经过一番尝试和折腾,有了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZn3Jb.html" rel="bookmark" class="title">matrix-请问调用时候参数写什么？求助大神！我是个小白！</a>
					<div>
						问题描述 请问调用时候参数写什么?求助大神!我是个小白! class Matrix:public MATRIX { public: Matrix():MATRIX(){} Matrix( int c, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZ5yOb.html" rel="bookmark" class="title">为什么在vs2010版本显示正常在vs2012中出错</a>
					<div>
						问题描述 为什么在vs2010版本显示正常在vs2012中出错 未经处理的异常,行 1,列 282,在 http://api.map.baidu.com/library/MarkerClusterer ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxN3vb.html" rel="bookmark" class="title">&lbrack;问&rsqb;&lbrack;C&num;&rsqb;如何将png嵌入并读取成Texture2D&quest;</a>
					<div>
						问题描述 首:新人请指教.软件类型:游戏语言:C#,XNA一个已成型的软件,用的是读取外置XNB文件用Texture2D显示,但我想嵌入PNG并以Texture2D显示,搜了不少关键词,就是没搜到或者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmL7Nb.html" rel="bookmark" class="title">订单处理流程和客服电话的关系</a>
					<div>
						我应该算比较成熟的网购用户,只要流程通畅,基本上是走下单流程,从下单到收货不会给客服打电话,这种&quot;无直接接触&quot;方式是B2C比较理想的形式.当然这里面有几个要求:1.库存显示靠谱,显 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYNVBp.html" rel="bookmark" class="title">sql 插入语句单引号和双引号问题</a>
					<div>
						问题描述 sql 插入语句单引号和双引号问题 ![ 这两句语句都对吗? 解决方案 java拼sql串用双引号,sql语句里用单引号 解决方案二: SQL中的单引号和双引号sql 那些单引号双引号关于S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJaB8p.html" rel="bookmark" class="title">SOS，请问这种功能怎么实现</a>
					<div>
						问题描述 每次HTTP请求在servlet里new一个Message类的实例.然后在service和dao层都用这个实例.不使用传递参数的方式如何实现 解决方案 本帖最后由 huangl111 于 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5YvAp.html" rel="bookmark" class="title">ios-怎么让webview里面显示的网页分辨率能达到iphone6或者6p的分辨率呢？</a>
					<div>
						问题描述 怎么让webview里面显示的网页分辨率能达到iphone6或者6p的分辨率呢? 我自己测试用,打开一个webview.加载一个本地的网页,可是在6p上测试感觉有一点点模糊,可不可以用什么办 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgdLaM.html" rel="bookmark" class="title">《网站设计 开发 维护 推广 从入门到精通》&mdash;&mdash; 1&period;4　常见的网站类型</a>
					<div>
						1.4 常见的网站类型 网站就是把一个个网页系统地链接起来的集合,按其内容的不同可分为个人网站.企业类网站.娱乐休闲类网站.行业信息类网站.门户网站和购物类网站等,下面分别进行介绍. 1.4.1 个人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJG1Rp.html" rel="bookmark" class="title">lunix-如何编译字符设备驱动</a>
					<div>
						问题描述 如何编译字符设备驱动 我是一个新手 请指教 我现在只有一个.c文件,我该怎么编译,最好能具体一点 一步一步的 谢谢					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBDWlz.html" rel="bookmark" class="title">2015存储虚拟化管理小贴士</a>
					<div>
						尽管软件定义存储以及超融合概念市场也正朝向服务器虚拟化环境转变,虚拟机管理者们仍然需要了解如何对这些负载提供最好的存储性能支持.这通常也意味着虚拟存储管理仍然需要细化到和传统存储相关联.然而,业界仍然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAE40eM.html" rel="bookmark" class="title">在88e1111芯片器件寄存器定义部分有这样一句话</a>
					<div>
						问题描述 在88e1111芯片器件寄存器定义部分有这样一句话 在88e1111芯片器件寄存器定义部分有这样一句话:ANEG[3:0]=1110表示auto-neg,advertise all capa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEY6AAb.html" rel="bookmark" class="title">vifi 破解 软件-什么电脑vifi破解软件比较好？成功率比较高</a>
					<div>
						问题描述 什么电脑vifi破解软件比较好?成功率比较高 一起来讨论下什么vifi破解软件比较,最好能提供下载地址,真心想知道下什么破解软件比较好. 解决方案 奶瓶(BT3)和水滴软件,但是一般只能破解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0N7oJz.html" rel="bookmark" class="title">mysql缓冲和缓存设置详解&lowbar;Mysql</a>
					<div>
						MySQL 可调节设置可以应用于整个 mysqld进程,也可以应用于单个客户机会话. 服务器端的设置 每个表都可以表示为磁盘上的一个文件,必须先打开,后读取.为了加快从文件中读取数据的过程,mysql ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Nylap.html" rel="bookmark" class="title">mulk 0&period;6&period;0发布 多连接命令行工具</a>
					<div>
						mulk是一个下载Internet网站的多连接命令行工具.功能类似于wget和cURL,但是它能够管理多达50个的并行链接.其主要特点是:循环获取,检索Metalink,分段下载,图像的宽度和高度进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1D3B5b.html" rel="bookmark" class="title">网络犯罪频发 2016亚太网络安全呈现六大特点</a>
					<div>
						导读:今天,任何企业,甚至是在个人都可能会面临个人隐私信息被窃,或者企业机密数据被黑客攻击偷窃的安全问题,会导致企业受损失. 今天,网络无处不在,网络已经渗透到日常生活的方方面面.同时,随之而来的就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA6vkXp.html" rel="bookmark" class="title">微软更新iOS版Office Lens文件扫描应用，新增沉浸式阅读器功能</a>
					<div>
						微软近日宣布更新了iOS版Office Lens文件扫描应用. Office Lens是微软推出的袖珍型扫描仪,能将白板或黑板上的笔记转化为数字内容,方便你找到重要文档或名片,拍照以供参考.Offic ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
